> ## Documentation Index
> Fetch the complete documentation index at: https://docs.silnahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Benefits Check

<Note>This endpoint supports idempotency keys</Note>


## OpenAPI

````yaml post /public/v1/benefits-checks/
openapi: 3.0.2
info:
  title: Silna Public API
  version: '1.0'
servers:
  - url: https://app.silnahealth.com/api
security:
  - bearerAuth: []
paths:
  /public/v1/benefits-checks/:
    post:
      tags:
        - V1BenefitsCheckResource
      summary: Create Benefits Check
      operationId: V1BenefitsCheckResource.post
      parameters:
        - in: header
          name: idempotency-key
          required: false
          schema:
            type: string
            minLength: 1
            maxLength: 255
          description: >-
            Unique key to prevent duplicate requests. We support keys up to 255
            characters.
          example: 550e8400-e29b-41d4-a716-446655440000
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/V1BenefitsCheckCreateBody'
        description: |2-

              Benefits Check Create Request Schema
              
      responses:
        '201':
          description: |2-

                Benefits Check Create Response Schema
                
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/V1BenefitsCheckCreateResponse'
          headers:
            X-RateLimit-Limit:
              schema:
                type: integer
                description: The maximum number of requests allowed in the time window
            X-RateLimit-Remaining:
              schema:
                type: integer
                description: The number of requests remaining in the current time window
            X-RateLimit-Reset:
              schema:
                type: integer
                description: The time when the rate limit will reset, in Unix timestamp
            Retry-After:
              schema:
                type: number
                description: The number of seconds to wait before making another request
        '400':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ValidationError'
          headers:
            X-RateLimit-Limit:
              schema:
                type: integer
                description: The maximum number of requests allowed in the time window
            X-RateLimit-Remaining:
              schema:
                type: integer
                description: The number of requests remaining in the current time window
            X-RateLimit-Reset:
              schema:
                type: integer
                description: The time when the rate limit will reset, in Unix timestamp
            Retry-After:
              schema:
                type: number
                description: The number of seconds to wait before making another request
        '401':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AuthenticationError'
          headers:
            X-RateLimit-Limit:
              schema:
                type: integer
                description: The maximum number of requests allowed in the time window
            X-RateLimit-Remaining:
              schema:
                type: integer
                description: The number of requests remaining in the current time window
            X-RateLimit-Reset:
              schema:
                type: integer
                description: The time when the rate limit will reset, in Unix timestamp
            Retry-After:
              schema:
                type: number
                description: The number of seconds to wait before making another request
        '429':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TooManyRequestsError'
          headers:
            X-RateLimit-Limit:
              schema:
                type: integer
                description: The maximum number of requests allowed in the time window
            X-RateLimit-Remaining:
              schema:
                type: integer
                description: The number of requests remaining in the current time window
            X-RateLimit-Reset:
              schema:
                type: integer
                description: The time when the rate limit will reset, in Unix timestamp
            Retry-After:
              schema:
                type: number
                description: The number of seconds to wait before making another request
components:
  schemas:
    V1BenefitsCheckCreateBody:
      description: Benefits Check Create Request Schema
      properties:
        patient_plan_id:
          description: Patient Plan ID
          format: uuid
          title: Patient Plan Id
          type: string
        specialties:
          description: List of specialties to create benefits check for
          items:
            $ref: '#/components/schemas/PublicSpecialty'
          title: Specialties
          type: array
          example:
            - PHYSICAL_THERAPY
        template_id:
          default: null
          description: Benefits Check Template ID
          title: Template Id
          nullable: true
          format: uuid
          type: string
        network_status_override:
          $ref: '#/components/schemas/NetworkStatus'
          default: null
          description: >-
            Override the network status for this benefits check. If provided,
            the benefits check will use this network status instead of
            determining it automatically.
          nullable: true
      required:
        - patient_plan_id
        - specialties
      title: V1BenefitsCheckCreateBody
      type: object
      x-folder: public_api
    V1BenefitsCheckCreateResponse:
      description: Benefits Check Create Response Schema
      properties:
        benefits_check_ids:
          description: List of created benefits check IDs
          items:
            format: uuid
            type: string
          title: Benefits Check Ids
          type: array
      required:
        - benefits_check_ids
      title: V1BenefitsCheckCreateResponse
      type: object
      x-folder: public_api
    ValidationError:
      type: object
      required:
        - message
      properties:
        message:
          type: string
          description: Human readable error message
      x-folder: null
    AuthenticationError:
      type: object
      required:
        - message
      properties:
        message:
          type: string
          description: Human readable error message
        type:
          $ref: '#/components/schemas/PublicApiErrorType'
      x-folder: null
    TooManyRequestsError:
      type: object
      required:
        - message
      properties:
        message:
          type: string
          description: Human readable error message
      x-folder: null
    PublicSpecialty:
      type: string
      enum:
        - PHYSICAL_THERAPY
        - ABA_THERAPY
        - SPEECH_THERAPY
        - OCCUPATIONAL_THERAPY
        - PSYCHOLOGICAL_TESTING
        - HOME_HEALTH_CARE
        - HOSPICE
        - CARDIAC_REHABILITATION
        - INTENSIVE_CARDIAC_REHABILITATION
        - MENTAL_HEALTH
        - PRINCIPAL_ILLNESS_NAVIGATION
        - PRINCIPAL_CARE_MANAGEMENT
        - ADVANCED_PRIMARY_CARE_MODELS
        - PREVENTATIVE_HEALTH
        - PARTIAL_HOSPITALIZATION_PROGRAM
        - INTENSIVE_OUTPATIENT_PROGRAM
        - INTERVENTIONAL_RADIOLOGY
        - VASCULAR_SURGERY
        - INTERVENTIONAL_CARDIOLOGY
        - ORTHOPEDICS
        - CHIROPRACTIC
        - GYNECOLOGY
        - LONG_TERM_CARE
        - NUTRITIONAL_COUNSELING
        - PHYSICAL_MEDICINE
        - PULMONARY_REHABILITATION
        - INJECTABLE_SPECIALTY_MEDICATIONS
        - ALLERGY_TESTING
        - SKILLED_NURSING
        - RADIOLOGY
        - OTOLARYNGOLOGY
        - DURABLE_MEDICAL_EQUIPMENT
        - DERMATOLOGY
        - PROFESSIONAL_OFFICE_VISIT
      x-folder: specialty
    NetworkStatus:
      type: string
      enum:
        - IN_NETWORK
        - OUT_OF_NETWORK
      x-folder: payor_entity
    PublicApiErrorType:
      type: string
      enum:
        - AUTH_INVALID_REQUEST_HEADER
        - AUTH_INVALID_CREDENTIALS
      x-folder: null
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````